Update an offer
Updates an offer. The request body is a partial offer object containing only fields to update.
Note: If a sale offer has been accepted on one or more billograms, updating it is forbidden.
Path Parameters
- Type: stringoffer
_id requiredOffer identifier.
Body·
required
application/json
Partial offer payload. Include only fields you want to update.
Note: Changing an offer's
typeis not supported.- Type: stringinfo
_link max length:1000Pattern: ^https?:// - Type: object ·media
- Type: stringtextmax length:1000
- Type: stringtitlemax length:200
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for put/offer/{offer_id}
curl 'https://sandbox.billogram.com/api/v2/offer/{offer_id}' \
--request PUT \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic username:password' \
--data '{
"title": "This is an updated title"
}'
{
"status": "OK",
"data": {
"offer_id": "banner001",
"type": "banner",
"title": "string",
"text": "string",
"media": {
"picture": "string",
"picture_type": "image/png"
},
"link_text": "string",
"created_at": "2026-04-29T11:19:15.647Z",
"updated_at": "2026-04-29T11:19:15.647Z",
"info_link": "string"
}
}